//.################################################
//# Copyright  2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using Evolving.DomainTypes;

using Evolving.TrueView;
using Evolving.TrueView.Domain.Attributes;
using System.Diagnostics;
using TestApplicationDomainModel.BasicTypes;

namespace TestApplicationDomainModel.UserInterface
{
    /// <summary>
    /// This object should have custom styling applied in the UI.
    /// The styling is handled by a separate CustomStylingPresenter.
    /// </summary>
    [Serializable]
    public class CustomStylingExample
    {

        public Guid ID { get; set; }

        /// <summary>
        /// This control's colours will change when checked
        /// </summary>
        public bool BooleanValue { get; set; }

        /// <summary>
        /// The icon will change depending on the selection
        /// </summary>
        public EnumValues.IndividualOptions EnumValue { get; set; }

        /// <summary>
        /// This text will be rendered using Wing Dings
        /// </summary>
        public string TextValue { get; set; }

        /// <summary>
        /// A custom 'adornment' will reflect the number value
        /// </summary>
        public int NumberValue { get; set; }


        public System.Drawing.Point Point { get; set; }

    }

}
